## ros-melodic-exotica-python 6.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(exotica_python)

find_package(PkgConfig REQUIRED)
pkg_check_modules(MSGPACK QUIET msgpack)

if(MSGPACK_FOUND)
  add_definitions(-DMSGPACK_FOUND)
endif()

# Python2 uses char* and Python3 const char* for arguments so explicit casting
# of string literals would require define flags. Alternatively, deactivate
# warnings for now
add_definitions(-Wno-write-strings)

find_package(catkin REQUIRED COMPONENTS
  exotica_core
  geometry_msgs
  moveit_msgs
  pybind11_catkin
  shape_msgs
)

catkin_package(
  LIBRARIES
  CATKIN_DEPENDS exotica_core pybind11_catkin shape_msgs moveit_msgs geometry_msgs
)

pybind11_add_module(_pyexotica MODULE src/pyexotica.cpp)
target_link_libraries(_pyexotica PRIVATE ${PYTHON_LIBRARIES} ${catkin_LIBRARIES})
target_compile_options(_pyexotica PRIVATE "-Wno-deprecated-declarations")  # because we are refactoring and triggereing this ourselves.
target_include_directories(_pyexotica PUBLIC ${catkin_INCLUDE_DIRS} ${pybind11_catkin_INCLUDE_DIRS}/pybind11_catkin) # the latter is a work-around until 2.4.3 is released
add_dependencies(_pyexotica ${catkin_EXPORTED_TARGETS})
set_target_properties(_pyexotica PROPERTIES LIBRARY_OUTPUT_DIRECTORY ${CATKIN_GLOBAL_PYTHON_DESTINATION}/pyexotica)
set(PYTHON_LIB_DIR ${CATKIN_DEVEL_PREFIX}/${CATKIN_GLOBAL_PYTHON_DESTINATION}/pyexotica)
add_custom_command(TARGET _pyexotica
    POST_BUILD
    COMMAND ${CMAKE_COMMAND} -E make_directory ${PYTHON_LIB_DIR}
    COMMAND ${CMAKE_COMMAND} -E copy $<TARGET_FILE:_pyexotica> ${PYTHON_LIB_DIR}/_pyexotica.so
    WORKING_DIRECTORY ${CATKIN_DEVEL_PREFIX}
COMMENT "Copying library files to python directory")

catkin_python_setup()

install(TARGETS _pyexotica LIBRARY DESTINATION ${CATKIN_GLOBAL_PYTHON_DESTINATION}/pyexotica)

if(CATKIN_ENABLE_TESTING)
  catkin_add_nosetests(test/test_no_unknown_initializer_types.py)
  # catkin_add_nosetests(test/test_box_qp.py)  # 2020-11-06: Deactivated as SciPy is not always predictable.
  catkin_add_nosetests(test/test_sparse_costs.py)
endif()

=== debian/changelog ===
ros-melodic-exotica-python (6.0.2-1stretch) stretch; urgency=high



 -- Wolfgang Merkt <wolfgang@robots.ox.ac.uk>  Mon, 23 Nov 2020 00:00:00 -0000

ros-melodic-exotica-python (6.0.1-1stretch) stretch; urgency=high

  * Fix some SparseDDP examples and remove old ones (#728 <https://github.com/ipab-slmc/exotica/issues/728>)
  * Contributors: Traiko Dinev, Wolfgang Merkt

 -- Wolfgang Merkt <wolfgang@robots.ox.ac.uk>  Tue, 17 Nov 2020 00:00:00 -0000

ros-melodic-exotica-python (6.0.0-1stretch) stretch; urgency=high

  * Noetic/20.04 compatibility
  * More unit testing tools and tests
  * Expose more features to Python
  * Fix issues with instantiation from Python using Initializers and tuple lists
  * Contributors: Matt Timmons-Brown, Traiko Dinev, Vladimir Ivan, Wolfgang Merkt

 -- Wolfgang Merkt <wolfgang@robots.ox.ac.uk>  Sun, 08 Nov 2020 00:00:00 -0000

ros-melodic-exotica-python (5.1.3-1stretch) stretch; urgency=high

  * Refactor CollisionScene, add faster distance checks, speedup SmoothCollisionDistance (#688 <https://github.com/ipab-slmc/exotica/issues/688>)
  * Expose full KinematicTree to Python; expose mesh collision shape information (#686 <https://github.com/ipab-slmc/exotica/issues/686>)
  * Allow labels/legend in plot()
  * Contributors: Wolfgang Merkt

 -- Wolfgang Merkt <wolfgang.merkt@ed.ac.uk>  Thu, 13 Feb 2020 00:00:00 -0000

ros-melodic-exotica-python (5.1.2-1stretch) stretch; urgency=high



 -- Wolfgang Merkt <wolfgang.merkt@ed.ac.uk>  Mon, 10 Feb 2020 00:00:00 -0000

ros-melodic-exotica-python (5.1.1-1stretch) stretch; urgency=high



 -- Wolfgang Merkt <wolfgang.merkt@ed.ac.uk>  Mon, 10 Feb 2020 00:00:00 -0000

ros-melodic-exotica-python (5.1.0-1stretch) stretch; urgency=high

  * Updates to match code developments and expose more functions
  * Contributors: Adabotics, Chris Mower, Christian Rauch, Matt Timmons-Brown, Traiko Dinev, Vladimir Ivan, Wolfgang Merkt

 -- Wolfgang Merkt <wolfgang.merkt@ed.ac.uk>  Fri, 31 Jan 2020 00:00:00 -0000

## ros-melodic-exotica-python 6.2.0

=== debian/changelog ===
ros-melodic-exotica-python (6.2.0-1bionic) bionic; urgency=high

  * Trajectory from array in python (#743 <https://github.com/ipab-slmc/exotica/issues/743>)
  * Add EndPoseTask::GetTaskJacobian
  * Fix build issues with Eigen 3.3.9 (#740 <https://github.com/ipab-slmc/exotica/issues/740>)
  * Performance improvements (#741 <https://github.com/ipab-slmc/exotica/issues/741>)
  * Remove temporary workaround, formatting
  * Contributors: Vladimir Ivan, Wolfgang Merkt

 -- Wolfgang Merkt <wolfgang@robots.ox.ac.uk>  Thu, 22 Jul 2021 23:00:00 -0000

ros-melodic-exotica-python (6.1.1-1bionic) bionic; urgency=high

  * Fixes for Python 3 and newly exposed features (#736 <https://github.com/ipab-slmc/exotica/issues/736>)
    * Fix issues identified by static analysis
    * Expose EndPoseTask::GetS
    * Remove transformations.py (usage replaced by exo.KDLFrame)
    * Install convert_moveit_scene_to_sdf & remove use of transformations.py
    * SamplingProblem: Rename IsValid(q) to IsStateValid(q)
  * Python 3 fixes
  * Contributors: Wolfgang Merkt

 -- Wolfgang Merkt <wolfgang@robots.ox.ac.uk>  Sun, 04 Apr 2021 23:00:00 -0000

ros-melodic-exotica-python (6.1.0-1bionic) bionic; urgency=high

  * Fix segmentation fault on exiting Python (#732 <https://github.com/ipab-slmc/exotica/issues/732>)
  * Upgrade clang format from v3.9 to v6.0 (#730 <https://github.com/ipab-slmc/exotica/issues/730>)
  * Contributors: Wolfgang Merkt

 -- Wolfgang Merkt <wolfgang@robots.ox.ac.uk>  Mon, 15 Mar 2021 00:00:00 -0000

ros-melodic-exotica-python (6.0.2-1bionic) bionic; urgency=high



 -- Wolfgang Merkt <wolfgang@robots.ox.ac.uk>  Mon, 23 Nov 2020 00:00:00 -0000

ros-melodic-exotica-python (6.0.1-1bionic) bionic; urgency=high

  * Fix some SparseDDP examples and remove old ones (#728 <https://github.com/ipab-slmc/exotica/issues/728>)
  * Contributors: Traiko Dinev, Wolfgang Merkt

 -- Wolfgang Merkt <wolfgang@robots.ox.ac.uk>  Tue, 17 Nov 2020 00:00:00 -0000

ros-melodic-exotica-python (6.0.0-1bionic) bionic; urgency=high

  * Noetic/20.04 compatibility
  * More unit testing tools and tests
  * Expose more features to Python
  * Fix issues with instantiation from Python using Initializers and tuple lists
  * Contributors: Matt Timmons-Brown, Traiko Dinev, Vladimir Ivan, Wolfgang Merkt

 -- Wolfgang Merkt <wolfgang@robots.ox.ac.uk>  Sun, 08 Nov 2020 00:00:00 -0000

ros-melodic-exotica-python (5.1.3-1bionic) bionic; urgency=high

  * Refactor CollisionScene, add faster distance checks, speedup SmoothCollisionDistance (#688 <https://github.com/ipab-slmc/exotica/issues/688>)
  * Expose full KinematicTree to Python; expose mesh collision shape information (#686 <https://github.com/ipab-slmc/exotica/issues/686>)
  * Allow labels/legend in plot()
  * Contributors: Wolfgang Merkt

 -- Wolfgang Merkt <wolfgang.merkt@ed.ac.uk>  Thu, 13 Feb 2020 00:00:00 -0000

ros-melodic-exotica-python (5.1.2-1bionic) bionic; urgency=high



 -- Wolfgang Merkt <wolfgang.merkt@ed.ac.uk>  Mon, 10 Feb 2020 00:00:00 -0000

ros-melodic-exotica-python (5.1.1-1bionic) bionic; urgency=high



 -- Wolfgang Merkt <wolfgang.merkt@ed.ac.uk>  Mon, 10 Feb 2020 00:00:00 -0000

ros-melodic-exotica-python (5.1.0-1bionic) bionic; urgency=high

  * Updates to match code developments and expose more functions
  * Contributors: Adabotics, Chris Mower, Christian Rauch, Matt Timmons-Brown, Traiko Dinev, Vladimir Ivan, Wolfgang Merkt

 -- Wolfgang Merkt <wolfgang.merkt@ed.ac.uk>  Fri, 31 Jan 2020 00:00:00 -0000

=== debian/control ===
Source: ros-melodic-exotica-python
Section: misc
Priority: optional
Maintainer: Wolfgang Merkt <wolfgang@robots.ox.ac.uk>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-exotica-core, ros-melodic-geometry-msgs, ros-melodic-moveit-msgs, ros-melodic-pybind11-catkin, ros-melodic-shape-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-exotica-python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-matplotlib, python-pyassimp, python-rospkg, python-tk, ros-melodic-exotica-core, ros-melodic-geometry-msgs, ros-melodic-moveit-msgs, ros-melodic-pybind11-catkin, ros-melodic-shape-msgs
Description: Python bindings for EXOTica

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-exotica-python//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
